function alpha1_s = CalcAlpha1(alpha0,in2)
%CalcAlpha1
%    ALPHA1_S = CalcAlpha1(ALPHA0,IN2)

%    This function was generated by the Symbolic Math Toolbox version 9.0.
%    10-Jun-2022 12:36:49

a0 = in2(:,2);
a1 = in2(:,1);
b0 = in2(:,4);
b1 = in2(:,3);
c0 = in2(:,8);
c1 = in2(:,7);
c2 = in2(:,6);
c3 = in2(:,5);
d0 = in2(:,10);
d1 = in2(:,9);
e0 = in2(:,12);
e1 = in2(:,11);
f0 = in2(:,16);
f1 = in2(:,15);
f2 = in2(:,14);
f3 = in2(:,13);
t2 = alpha0.*d1;
t3 = alpha0.*e1;
t4 = alpha0.*f1;
t5 = alpha0.^2;
t6 = alpha0.^3;
t7 = f2.*t5;
t8 = f3.*t6;
t9 = d0+t2;
t10 = e0+t3;
t11 = 1.0./t9;
t12 = f0+t4+t7+t8;
alpha1_s = -(c0+alpha0.*b0+a0.*t5-c2.*t11.*t12+c3.*t10.*t11.^2.*t12)./(c1+alpha0.*b1+a1.*t5-c2.*t10.*t11-c3.*t11.*(t12-t10.^2.*t11));
